/*****************************************************************
 *  File: uart_rs232_comm.c
 *
 *  Summary: Functions to send, receive and parse uart data
 *
 ****************************************************************/
#ifndef UART_RS232_COMM_H_
#define UART_RS232_COMM_H_
/***********************************************************
 * Includes
 ***********************************************************/
#include "driver/d_uart.h"
#include "driver/d_timer.h"
#include "global_Display_Touch.h"
#include <stdbool.h>
/***********************************************************
 * Defines
 ***********************************************************/
#define PROTOCOL_VERSION 0

#define UART_ENDIANNESS LITTLE_ENDIAN

#define RCV_START_BYTE 0xF1
#define RCV_STOP_BYTE 0xF4
#define SND_START_BYTE 0xF2
#define SND_STOP_BYTE 0xF8

#define NUM_CMD 55
#define MAX_TEXT_LEN 100

/***********************************************************
 * Typedefs and Enums
 ***********************************************************/
typedef enum{
	FCN_OK,
	FCN_CHKSM_ERR,
	FCN_WRONG_TYPE,
	FCN_TIMEOUT,
	FCN_RES_NA,
	INDEX_NF = 0x101,
	FCN_DUMMY = 0xF00,
	FCN_DUMMY_SEND = 0xBA2,
}comm_err_t;



/***********************************************************
 *Public Function Prototypes
************************************************************/
comm_err_t send_touch_response(TouchXY_t *);


#endif /* UART_RS232_COMM_H_ */

