/***********************************************************
 *
 * d_Backlight.h
 * SYSTART GmbH
 * SAM, 22.06.2016
 *
 ***********************************************************/

#ifndef __D_BACKLIGHT_H_
#define __D_BACKLIGHT_H_

/***********************************************************
 * Includes
 ***********************************************************/
#include "stm32f4xx.h"
#include "math.h"
/***********************************************************
 * Function declarations
 ***********************************************************/
/**
* @brief Initialization of the module for backlight control
*
* -
*
* @param -
*
* @return -
*
*/
void Backlight_init ( void );

/**
* @brief Configuration of backlight
*
* Minimal duty cycle for backlight is 5,
* the maximal duty cycle is 95
* The pulse width is a percentage of the period time 9000
* (e.g. 0.05*9000 = 450)
*
* @param dutycycle duty cycle of backlight
*
* @return -
*
*/
void Backlight_configPWM ( uint16_t dutycycle );

/**
* @brief Turns backlight on
*
* -
*
* @param -
*
* @return -
*
*/
void Backlight_ON ( void );

/**
* @brief Turns backlight off
*
* -
*
* @param -
*
* @return -
*
*/
void Backlight_OFF ( void );

#endif // __D_BACKLIGHT_H_
