/***********************************************************
 *
 * d_Touch_FT5316.h
 * SYSTART GmbH
 * SAM, 22.06.2016
 *
 ***********************************************************/

#ifndef __D_TOUCH_FT5316_H_
#define __D_TOUCH_FT5316_H_

/***********************************************************
 * Includes
 ***********************************************************/
#include "stm32f4xx.h"
#include "global_Display_Touch.h"
#include "global_Display_Touch.h"
#include "driver/d_timer.h"
#include <stdbool.h>


/***********************************************************
 * Defines
 ***********************************************************/
#define FT5426
#define I2C_TIMEOUT 100000
#define TOUCH 0x00
#define RELEASE 0X01

/***********************************************************
 * Function declarations
 ***********************************************************/
/**
* @brief Initialization of the Touch-Module with FT5316
*
* -
*
* @param -
*
* @return -
*
*/
void Touch_FT5316_init ( void );


/**
* @brief Read the register for active touch inputs on the touch panel
*
* Register 0x02 is read
*
* @param -
*
* @return Number touch inputs
*
*/
uint8_t Touch_FT5316_getNrTouches ( void );

/**
* @brief Get the XY-Coordinates of the touch input
*
* Read Touch-Register 0x03 - 0x06
*
* @param -
*
* @return Pointer to struct with X- and Y-coordinates
*
*/
TouchXY_t Touch_FT5316_getTouchXY ( void );


bool AreaCheck ( uint16_t LeftX, uint16_t TopY, uint16_t RightX, uint16_t BottomY );

#endif // __D_TOUCH_FT5316_H_
